﻿CREATE PROCEDURE [dbo].[GdprMask_Repo_2024_pt2]
AS
BEGIN
     declare @messaggio varchar(1000)
     SET NOCOUNT ON;
     BEGIN TRY
     SET XACT_ABORT ON;
     BEGIN TRANSACTION
update cl
set COD_FISCALE = gd.MASK_CODICE_FISCALE
from  [C6StampeCentralizzate].[dbo].[DiscordanzaPB] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set COD_FISCALE = gd.mask_partita_iva
from  [C6StampeCentralizzate].[dbo].[DiscordanzaPB]    cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE  COLLATE SQL_Latin1_General_CP1_CI_AS = gd.PARTITA_IVA COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.PARTITA_IVA) = 11 AND len(gd.MASK_PARTITA_IVA) = 11 WHERE gd.FLAG_MASK = 'Y';
update cl
set COD_FISCALE = gd.MASK_CODICE_FISCALE
from  [C6StampeCentralizzate].[dbo].[disallineati] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set  DRANACB_CODFIS = gd.MASK_CODICE_FISCALE,
		DRANACB_INDIR = gd.MASK_INDIRIZZO_CORR,
		DRANACB_CAP =  gd.MASK_CAP_COMUNE_CORR,
		DRANACB_NAZION = gd.MASK_DESCR_NAZIONE_CORR,
		DRANACB_PROV  = gd.MASK_SIGLA_PROVINCIA_CORR,
		dranacb_citta = gd.MASK_LOCALITA_CORR,
		DRANACB_nome = gd.mask_nome,
		DRANACB_COGNOME= gd.mask_cognome
from  [C6StampeCentralizzate].[dbo].[DRANACB] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.DRANACB_CODFIS COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set  DRANACB_CODFIS = gd.mask_partita_iva,
		DRANACB_INDIR = gd.MASK_INDIRIZZO_CORR,
		DRANACB_CAP =  gd.MASK_CAP_COMUNE_CORR,
		DRANACB_NAZION = gd.MASK_DESCR_NAZIONE_CORR,
		DRANACB_PROV  = gd.MASK_SIGLA_PROVINCIA_CORR,
		dranacb_citta = gd.MASK_LOCALITA_CORR,
		DRANACB_nome = gd.mask_nome,
		DRANACB_COGNOME= gd.mask_cognome
from  [C6StampeCentralizzate].[dbo].[DRANACB] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.DRANACB_CODFIS  COLLATE SQL_Latin1_General_CP1_CI_AS = gd.PARTITA_IVA COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.PARTITA_IVA) = 11 AND len(gd.MASK_PARTITA_IVA) = 11 WHERE gd.FLAG_MASK = 'Y';
update cl
set  CodiceFiscale = gd.MASK_CODICE_FISCALE,
		NomeCliente = gd.mask_nome,
		CognomeCliente= gd.mask_cognome
from  [C6StampeCentralizzate].[dbo].[maledetti2] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.CodiceFiscale COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set  CodiceFiscale = gd.MASK_CODICE_FISCALE
from  [C6StampeCentralizzate].[dbo].[W6TRCLI] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.CodiceFiscale COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set  CodiceFiscale = gd.mask_partita_iva
from  [C6StampeCentralizzate].[dbo].[W6TRCLI] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.CodiceFiscale  COLLATE SQL_Latin1_General_CP1_CI_AS = gd.PARTITA_IVA COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.PARTITA_IVA) = 11 AND len(gd.MASK_PARTITA_IVA) = 11 WHERE gd.FLAG_MASK = 'Y';
set @messaggio = 'dbo OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
--level2martperiodico
BEGIN TRANSACTION;
update cl
set  COD_FISCALE = gd.MASK_CODICE_FISCALE
from  [C6StampeCentralizzate].[level2martperiodico].[PatrimonioBFAggregato] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set  COD_FISCALE = gd.mask_partita_iva
from  [C6StampeCentralizzate].[level2martperiodico].[PatrimonioBFAggregato] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE  COLLATE SQL_Latin1_General_CP1_CI_AS = gd.PARTITA_IVA COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.PARTITA_IVA) = 11 AND len(gd.MASK_PARTITA_IVA) = 11 WHERE gd.FLAG_MASK = 'Y';
set @messaggio = 'fino a level2martperiodico..PatrimonioBFAggregato OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
update cl
set  COD_FISCALE = gd.MASK_CODICE_FISCALE
from  [C6StampeCentralizzate].[level2martperiodico].[PatrimonioNonRappresentabileAsset] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set  COD_FISCALE = gd.mask_partita_iva
from  [C6StampeCentralizzate].[level2martperiodico].[PatrimonioNonRappresentabileAsset] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE  COLLATE SQL_Latin1_General_CP1_CI_AS = gd.PARTITA_IVA COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.PARTITA_IVA) = 11 AND len(gd.MASK_PARTITA_IVA) = 11 WHERE gd.FLAG_MASK = 'Y';
update cl
set  COD_FISCALE = gd.MASK_CODICE_FISCALE
from  [C6StampeCentralizzate].[level2martperiodico].[PatrimonioTerziAggregato] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS = gd.CODICE_FISCALE COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.CODICE_FISCALE) = 16 AND len(gd.MASK_CODICE_FISCALE) = 16 WHERE gd.FLAG_MASK = 'Y';
update cl
set  COD_FISCALE = gd.mask_partita_iva
from  [C6StampeCentralizzate].[level2martperiodico].[PatrimonioTerziAggregato] cl 
INNER JOIN f701928..GDPRMSK_2 gd 
ON cl.COD_FISCALE  COLLATE SQL_Latin1_General_CP1_CI_AS = gd.PARTITA_IVA COLLATE SQL_Latin1_General_CP1_CI_AS
AND len(gd.PARTITA_IVA) = 11 AND len(gd.MASK_PARTITA_IVA) = 11 WHERE gd.FLAG_MASK = 'Y';
set @messaggio = 'level2martperiodico OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
set @messaggio = 'Procedura conclusa correttamente'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
-- integrazione 2024
--[C6MartPeriodico].[RP_ClientiPtfNonDiv]
update cl
set 
cl.CodFis  = gd.MASK_CODICE_FISCALE	,
cl.Chiave_ACN = gd.MASK_CODICE_FISCALE 
       from [C6MartPeriodico].[RP_ClientiPtfNonDiv] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
		and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set 
cl.Chiave_ACN = gd.MASK_PARTITA_IVA 
       from [C6MartPeriodico].[RP_ClientiPtfNonDiv] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_PARTITA_IVA)   = 11 
		and len(gd.PARTITA_IVA)   = 11 
      where gd.FLAG_MASK = 'Y'
----------------------------------------------------------------------------------------
--[C6MartPeriodico].[W6IndPtf]
update cl 
set
cl.CodFis  = gd.MASK_CODICE_FISCALE	,
cl.Chiave_ACN = gd.MASK_CODICE_FISCALE 
       from [C6MartPeriodico].[W6IndPtf] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
		and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl 
set
cl.Chiave_ACN = gd.MASK_PARTITA_IVA 
       from [C6MartPeriodico].[W6IndPtf] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.Chiave_ACN  = gd.PARTITA_IVA
        and len(gd.MASK_PARTITA_IVA)   = 11 
		and len(gd.PARTITA_IVA)   = 11 
      where gd.FLAG_MASK = 'Y'
----------------------------------------------------------------------------------------
--[C6MartPeriodico].W6CKADEG
update cl
set
cl.CodFis  = gd.MASK_CODICE_FISCALE	,
cl.Chiave_ACN = gd.MASK_CODICE_FISCALE
       from [C6MartPeriodico].W6CKADEG cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
	    and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
cl.CodFis  = gd.MASK_PARTITA_IVA	,
cl.Chiave_ACN = gd.MASK_PARTITA_IVA
       from [C6MartPeriodico].W6CKADEG cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.PARTITA_IVA
        and len(gd.MASK_PARTITA_IVA)   = 11 
	    and len(gd.PARTITA_IVA)   = 11 
      where gd.FLAG_MASK = 'Y'
-------------------------------------------------------------------------------------------
--[C6StagingPeriodico].[WSEIPV]
update cl
set
 cl.CODFIS  = gd.MASK_CODICE_FISCALE	
       from [C6StagingPeriodico].[WSEIPV] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
	    and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
--update cl
--set
-- cl.CODFIS  = gd.MASK_PARTITA_IVA	
--       from [C6StagingPeriodico].[WSEIPV] cl  
-- inner join f701928..GDPRMSK_2   gd  
--         on cl.CodFis  = gd.PARTITA_IVA
--        and len(gd.PARTITA_IVA)   = 11 
--		and len(gd.MASK_PARTITA_IVA   = 11 
--      where gd.FLAG_MASK = 'Y'
UPDATE cl
SET cl.CODFIS = gd.MASK_PARTITA_IVA
FROM [C6StagingPeriodico].[WSEIPV] cl
INNER JOIN f701928..GDPRMSK_2 gd
    ON cl.CodFis = gd.PARTITA_IVA
    AND LEN(gd.PARTITA_IVA) = 11
    AND LEN(gd.MASK_PARTITA_IVA) = 11
WHERE gd.FLAG_MASK = 'Y';
-------------------------------------------------------------------------------------------
--[C6MartPeriodico].[W6CLIREP_B]
update cl
set
		cl.CODFIS  = gd.MASK_CODICE_FISCALE,
		cl.piva    = gd.MASK_PARTITA_IVA
       from [C6MartPeriodico].[W6CLIREP_B] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.CODICE_FISCALE)   = 16 
		and len(gd.MASK_CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
		cl.CODFIS  = gd.MASK_CODICE_FISCALE,
		cl.piva    = gd.MASK_PARTITA_IVA
       from [C6MartPeriodico].[W6CLIREP_B] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.PARTITA_IVA
        and len(gd.MASK_PARTITA_IVA) = 11
		and len(gd.PARTITA_IVA) = 11
      where gd.FLAG_MASK = 'Y'
--------------------------------------------------------------------------------------------
--[C6StagingPeriodico].[WSEIAD2]
update cl
set
cl.CODFIS  = gd.MASK_CODICE_FISCALE
       from [C6StagingPeriodico].[WSEIAD2] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
	    and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
cl.CODFIS  = gd.MASK_PARTITA_IVA
       from [C6StagingPeriodico].[WSEIAD2] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.PARTITA_IVA
        and len(gd.MASK_PARTITA_IVA)   = 11 
	    and len(gd.PARTITA_IVA)   = 11 
      where gd.FLAG_MASK = 'Y'
--------------------------------------------------------------------------------------------
--[C6StagingPeriodico].[WSEICE2]
update cl
set
 cl.CODFIS  = gd.MASK_CODICE_FISCALE
       from [C6StagingPeriodico].[WSEICE2] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
		and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
 cl.CODFIS  = gd.MASK_CODICE_FISCALE
       from [C6StagingPeriodico].[WSEICE2] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.PARTITA_IVA
        and len(gd.MASK_CODICE_FISCALE)   = 11 
		and len(gd.CODICE_FISCALE)   = 11 
      where gd.FLAG_MASK = 'Y'	  
--------------------------------------------------------------------------------------------
--[C6martPeriodico].QD_VAR_RISK_WEEK2
update cl
set
cl.CODFIS  = gd.MASK_CODICE_FISCALE,
cl.piva    = gd.MASK_PARTITA_IVA, 
cl.Chiave_ACN = gd.MASK_CODICE_FISCALE
       from [C6martPeriodico].QD_VAR_RISK_WEEK2 cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
	    and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
cl.CODFIS  = gd.MASK_CODICE_FISCALE,
cl.piva    = gd.MASK_PARTITA_IVA, 
cl.Chiave_ACN = gd.MASK_PARTITA_IVA
       from [C6martPeriodico].QD_VAR_RISK_WEEK2 cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.PARTITA_IVA
         and len(gd.MASK_PARTITA_IVA) = 11
         and len(gd.PARTITA_IVA) = 11
      where gd.FLAG_MASK = 'Y'
--------------------------------------------------------------------------------------------
--[C6StagingPeriodico].[QD_VAR_RISK_WEEK2]
update cl
set
cl.CODFIS  = gd.MASK_CODICE_FISCALE,
cl.piva    = gd.MASK_PARTITA_IVA
       from [C6StagingPeriodico].[QD_VAR_RISK_WEEK2] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
        and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
cl.CODFIS  = gd.MASK_CODICE_FISCALE,
cl.piva    = gd.MASK_PARTITA_IVA
       from [C6StagingPeriodico].[QD_VAR_RISK_WEEK2] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.piva  = gd.PARTITA_IVA
         and len(gd.MASK_PARTITA_IVA) = 11
		 and len(gd.PARTITA_IVA) = 11
      where gd.FLAG_MASK = 'Y'
---------------------------------------------------------------------------------------------
--[C6martPeriodico].[CONFRONTO_RISCHIO]
update cl
set
cl.CODFIS  = gd.MASK_CODICE_FISCALE,
cl.piva    = gd.MASK_PARTITA_IVA,
cl.Chiave_ACN = gd.MASK_CODICE_FISCALE
       from [C6martPeriodico].[CONFRONTO_RISCHIO] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
		and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
cl.CODFIS  = gd.MASK_CODICE_FISCALE,
cl.piva    = gd.MASK_PARTITA_IVA,
cl.Chiave_ACN = gd.MASK_CODICE_FISCALE
       from [C6martPeriodico].[CONFRONTO_RISCHIO] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.PARTITA_IVA
         and len(gd.MASK_PARTITA_IVA) = 11
		 and len(gd.PARTITA_IVA) = 11
where gd.FLAG_MASK = 'Y'
----------------------------------------------------------------------------------------------
--[C6StagingPeriodico].[WSEIRPF]
update cl
set
 cl.CODFIS  = gd.MASK_CODICE_FISCALE
       from [C6StagingPeriodico].[WSEIRPF] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
	    and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
 cl.CODFIS  = gd.MASK_PARTITA_IVA
       from [C6StagingPeriodico].[WSEIRPF] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.PARTITA_IVA
        and len(gd.MASK_PARTITA_IVA)   = 11 
	    and len(gd.PARTITA_IVA)   = 11 
      where gd.FLAG_MASK = 'Y'
----------------------------------------------------------------------------------------------
 --[C6MartPeriodico].[WSEIRPF]
update cl
set
 cl.CODFIS  = gd.MASK_CODICE_FISCALE,
 cl.Chiave_ACN = gd.MASK_CODICE_FISCALE
       from		[C6MartPeriodico].[WSEIRPF] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.Chiave_ACN  = gd.CODICE_FISCALE
        and len(gd.CODICE_FISCALE)   = 16 
		and len(gd.MASK_CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl
set
 cl.CODFIS  = gd.MASK_PARTITA_IVA,
 cl.Chiave_ACN = gd.MASK_PARTITA_IVA
       from		[C6MartPeriodico].[WSEIRPF] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.Chiave_ACN  = gd.PARTITA_IVA
        and len(gd.MASK_CODICE_FISCALE)   = 11 
	    and len(gd.CODICE_FISCALE)   = 11 
      where gd.FLAG_MASK = 'Y'
---------------------------------------------------------------------------------------------
-- [C6Staging].[RP_NobPrez]
update cl
set     cl.CODFIS  = gd.MASK_CODICE_FISCALE,
		cl.PIVA  = gd.MASK_PARTITA_IVA
       from	 [C6Staging].[RP_NobPrez] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.CodFis  = gd.CODICE_FISCALE
        and len(gd.MASK_CODICE_FISCALE)   = 16 
	    and len(gd.CODICE_FISCALE)   = 16 
      where gd.FLAG_MASK = 'Y'
update cl 
set     cl.CODFIS  = gd.MASK_CODICE_FISCALE,
		cl.PIVA  = gd.MASK_PARTITA_IVA
       from	 [C6Staging].[RP_NobPrez] cl  
 inner join f701928..GDPRMSK_2   gd  
         on cl.PIVA  = gd.PARTITA_IVA
         and len(gd.MASK_PARTITA_IVA) = 11 
		 and len(gd.PARTITA_IVA) = 11 
      where gd.FLAG_MASK = 'Y'
set @messaggio = 'Intregrazione update tabelle 2024 OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
--drop table if exists 
BEGIN TRANSACTION;
--TRUNCATE C6Mart
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_CLIENTI_2011109_BCKUP
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_CLIENTI_20161109_TEST
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_CLIENTI_20161109_TEST_OK
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_CLIENTI_20161126
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_CLIENTI_20170114
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_CLIENTI_20171205
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_SELF_20181129_PreMioFoglio
drop table if exists C6StampeCentralizzate.C6Mart.ANAG_SELF_20181217
drop table if exists C6StampeCentralizzate.C6Mart.AREA_BISOGNO_20161024
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_20161028
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_02122021
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_03012022
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_04102021
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_10122021
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_15112021
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_17012022
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20171016
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20180301
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20180601
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20180903_preGiornaliero
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20181127
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20181203_preCongelamento
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20190102_PreGiornaliero
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20190301_preGiornaliero
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20190401_preGior
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20190603_preGior
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20190701_preG
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20210901
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_20211220
drop table if exists C6StampeCentralizzate.C6Mart.contrattosei_metadati_20220630
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_23_11_2021
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_2312021
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_26112021
drop table if exists C6StampeCentralizzate.C6Mart.CONTRATTOSEI_METADATI_29112021
drop table if exists C6StampeCentralizzate.C6Mart.ELABORAZIONI_20161028
drop table if exists C6StampeCentralizzate.C6Mart.EMAIL_PB_21042022
drop table if exists C6StampeCentralizzate.C6Mart.Generator_Diagnosi_20230823
drop table if exists C6StampeCentralizzate.C6Mart.Generator_Diagnosi_20230922
drop table if exists C6StampeCentralizzate.C6Mart.gestione_email_1070413
drop table if exists C6StampeCentralizzate.C6Mart.gestione_email_20161102beforeRepalce
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_EMAIL_20170413
drop table if exists C6StampeCentralizzate.C6Mart.gestione_email_20170927
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_EMAIL_20171027
drop table if exists C6StampeCentralizzate.C6Mart.gestione_email_20190306_preUpdateRete
drop table if exists C6StampeCentralizzate.C6Mart.gestione_email_20190325_preCambioRete
drop table if exists C6StampeCentralizzate.C6Mart.gestione_email_20190531_preCambioRete
drop table if exists C6StampeCentralizzate.C6Mart.gestione_email_2023_08_25
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_EMAIL_20230824
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_02122021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_03012022
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_04102021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_10122021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_15112021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_17012022
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_20181024
drop table if exists C6StampeCentralizzate.C6Mart.gestione_pdf_ftp_20181217
drop table if exists C6StampeCentralizzate.C6Mart.gestione_pdf_ftp_20190115
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_20190306_preUpdateRete
drop table if exists C6StampeCentralizzate.C6Mart.gestione_pdf_ftp_20190325_preCambioRete
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_20190412_preCRete_Reverse
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_20190531_preCambioRete
drop table if exists C6StampeCentralizzate.C6Mart.gestione_pdf_ftp_20200114
drop table if exists C6StampeCentralizzate.C6Mart.gestione_pdf_ftp_20200316
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_20210901
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_20211220
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_23_11_2021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_23122021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_26112021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_29112021
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_PDF_FTP_B4_testing_20170706
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_zip_FTP_20160725
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_ZIP_FTP_20161028
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_ZIP_FTP_20180312
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_ZIP_FTP_20181210
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_ZIP_FTP_20190513
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_ZIP_FTP_20200316
drop table if exists C6StampeCentralizzate.C6Mart.GESTIONE_ZIP_FTP_20220315
drop table if exists C6StampeCentralizzate.C6Mart.log_align_giornaliero_20190220_buttare
drop table if exists C6StampeCentralizzate.C6Mart.MIFID_20170607
drop table if exists C6StampeCentralizzate.C6Mart.MIFID_20170609
drop table if exists C6StampeCentralizzate.C6Mart.MIFID_bk_20150824
drop table if exists C6StampeCentralizzate.C6Mart.PATRIMONIO_BF_20170201
drop table if exists C6StampeCentralizzate.C6Mart.PATRIMONIO_BF_20171113_save
drop table if exists C6StampeCentralizzate.C6Mart.PATRIMONIO_BF_20171116_RF
drop table if exists C6StampeCentralizzate.C6Mart.PATRIMONIO_IMMOBILIARE_20190107_ProQuota
drop table if exists C6StampeCentralizzate.C6Mart.PIRAMIDE_VERT_bk_20150730
drop table if exists C6StampeCentralizzate.C6Mart.RISCHIO_AGGREGATO_20161102
drop table if exists C6StampeCentralizzate.C6Mart.RISCHIO_AGGREGATO_20231019
drop table if exists C6StampeCentralizzate.C6Mart.RP_vContrattiNonGenerati_TEST2
drop table if exists C6StampeCentralizzate.C6Mart.TB_S178IndicatoriEsitoAdeguatezza_Note_20230918
drop table if exists C6StampeCentralizzate.C6Mart.TB_S178IndicatoriEsitoAdeguatezza_Note_preMUA
drop table if exists C6StampeCentralizzate.C6Mart.TB_S179EmittentiConcentrazioneAlta_20220909
drop table if exists C6StampeCentralizzate.C6Mart.TB_S179EmittentiConcentrazioneAlta_20230702_preMUA
drop table if exists C6StampeCentralizzate.C6Mart.TB_S179EmittentiConcentrazioneAlta_preMUA
drop table if exists C6StampeCentralizzate.C6Mart.TB_S179EmittentiConcentrazioneAlta_TEST
drop table if exists C6StampeCentralizzate.C6Mart.TB_S180ProdottiComplessitaAlta_20220909
drop table if exists C6StampeCentralizzate.C6Mart.TB_S180ProdottiComplessitaAlta_note_preFIX_20230728
drop table if exists C6StampeCentralizzate.C6Mart.TB_S180ProdottiComplessitaAlta_TEST
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170109
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170110
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170113
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170119
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170120
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170123
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170127
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170131
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170201
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170203
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170206
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170210
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170213
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170216
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170217
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170220
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170222
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170228
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170306
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170315
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170317
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170320
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170327
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170328
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170413
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170414
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170426_b4_gen
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170623
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170630
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170728
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20170731
drop table if exists C6StampeCentralizzate.C6Mart.tbNotAllocatedResources_20180829_afterRun
drop table if exists C6StampeCentralizzate.C6Mart.test_logmd_20161028
drop table if exists C6StampeCentralizzate.C6Mart.test_logmd_20161102
drop table if exists C6StampeCentralizzate.C6Mart.test_logmd_20161102beforeRepalce
drop table if exists C6StampeCentralizzate.C6Mart.test_logmd_20170413
drop table if exists C6StampeCentralizzate.C6Mart.test_logmd_20170612
drop table if exists C6StampeCentralizzate.C6Mart.test_logmd_20170908
drop table if exists C6StampeCentralizzate.C6Mart.test_logmd_20170927
drop table if exists C6StampeCentralizzate.C6Mart.TEST_QUALITY_20171113_save
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_20170623
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_20170704
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_20171207_ModificaServiziAggiuntivi
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_20171212_ServiziAggiuntivi_rollback
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_20181002_TESTO_DA_CORREGGERE
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_20200311
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_20221118
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_Bkup07072015
drop table if exists C6StampeCentralizzate.C6Mart.testo_lettera_Accettazione_Rosaspina_2023_09_21
drop table if exists C6StampeCentralizzate.C6Mart.TESTO_LETTERA_ACCETTAZIONE_Rosaspina_bkp_20230605
drop table if exists C6StampeCentralizzate.C6Mart.testo_lettera_Accettazione_Rosaspina_BKP_20231124
drop table if exists C6StampeCentralizzate.C6Mart.TIPO_EMAIL_20161024
drop table if exists C6StampeCentralizzate.C6Mart.TIPO_EMAIL_20161026
drop table if exists C6StampeCentralizzate.C6Mart.TIPO_EMAIL_20230619
drop table if exists C6StampeCentralizzate.C6Mart.TIPO_EMAIL_20231002
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_02122021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_04102021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_10122021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_15112021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_17012022
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20170302_NON_CANCELLARE
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20180503
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20180601
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20180702_preNewFiduciarie
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20180903_preGiornaliero
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20181203_preCongelamento
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20181221
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20190102_PreGiornaliero
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20190301_preGiornaliero
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20190401_preGior
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20190603_preGior
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20190701_preG
drop table if exists C6StampeCentralizzate.C6Mart.vcontratti_20190725
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20210901
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_20211220
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_23_11_2021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_23122021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_26112021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI_29112021
drop table if exists C6StampeCentralizzate.C6Mart.VCONTRATTI03012022
drop table if exists C6StampeCentralizzate.C6Mart.vcontratti090120
drop table if exists C6StampeCentralizzate.C6Mart.vRpClientiNonMigrati_20170705_alignPortafologlio
set @messaggio = 'TRUNCATE fino a C6Mart OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE C6MartPeriodico
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ANAG_CLIENTI_20230714
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ANAG_SELF_20181129_PreMioFoglio
drop table if exists C6StampeCentralizzate.C6MartPeriodico.appoCampioneReport_20221022
drop table if exists C6StampeCentralizzate.C6MartPeriodico.catalogoprodotti2804
drop table if exists C6StampeCentralizzate.C6MartPeriodico.clienti_brochure_20190201
drop table if exists C6StampeCentralizzate.C6MartPeriodico.clienti_brochure_20230724
drop table if exists C6StampeCentralizzate.C6MartPeriodico.CONS_ATTIVAGGIORNATA_1407LVE
drop table if exists C6StampeCentralizzate.C6MartPeriodico.contrattosei_20190603_preUpdFiducia
drop table if exists C6StampeCentralizzate.C6MartPeriodico.contrattosei_20230714
drop table if exists C6StampeCentralizzate.C6MartPeriodico.CONTRATTOSEI200201
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_200120
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190712_L1_parz
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190715_L1
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190717_preUpdate
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190718_0_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190718_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190719_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190726_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20190729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20191024_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20191025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20191029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20191030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20191031_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200127_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200130_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200131
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200201_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200204_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200422_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200427_preZipb
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200505_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200506_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200507_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200721_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200721_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20200724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20201020_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20201021_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20201021_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20201022_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20201027_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20201029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210119_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210120_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210122_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210126_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210128_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210128_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210129_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210225_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210426_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20210430_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220211_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220502_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220511_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220513_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220722_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20220729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20221025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20221028_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230503_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20230727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20231030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20231106_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20231107_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20231108_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20231109_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_bk231019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_bk2910
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_bkp_20231027
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale220420
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_200120
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190712_L1_parz
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190715_L1
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190718_0_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190718_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190719_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190726_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20190729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20191024_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20191025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20191029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20191030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20191031_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200127_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200130_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200131
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200201_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200204_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200422_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200427_preZipb
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200505_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200506_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200507_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200721_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200721_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20200724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20201020_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20201021_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20201021_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20201022_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20201027_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20201029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210119_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210120_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210122_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210126_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210128_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210128_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210129_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210225_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210426_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20210430_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220211_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220502_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220511_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220513_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220722_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20220729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20221025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20221028_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230503_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20230727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20231030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20231106_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20231107_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20231108_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20231109_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_bk231019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_bk2910
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_bkp_20231027
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei220420
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ELABORAZIONI_bk_20151015_NONCANCELLARE
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_200120
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20190718_0_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20190718_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20190719_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20190723_preCanc
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20190723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20190726_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20190729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20191024_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20191025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20191029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20191030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20191031_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200127_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200130_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200131
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200201_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200204_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200422_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200427_preZipb
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200505_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200506_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200507_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200721_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200721_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20200724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20201020_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20201021_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20201021_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20201022_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20201027_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20201029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210119_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210120_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210122_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210126_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210128_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210128_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210129_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210225_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210426_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20210430_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220211_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220502_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220511_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220513_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220722
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220722_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20220729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20221025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20221028_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230503_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230725
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20230727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20231030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20231106_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20231107_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20231108_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_20231109_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_270420
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_bk231019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.elaborazioni_zip_bk2910
drop table if exists C6StampeCentralizzate.C6MartPeriodico.EMAIL_PB_12_09_2023
drop table if exists C6StampeCentralizzate.C6MartPeriodico.email_pb_20220615
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20190514_L3
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20220130
drop table if exists C6StampeCentralizzate.C6MartPeriodico.excludedList_20220421
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20220422
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20220725
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20221026
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20221111
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_2023_07_17
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_2023_07_19
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_2023_07_21
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20230201
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20230412
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20230502
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20230725_PRELOTTO2
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_bk251019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_BKP_20231016
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_BKP_20231103
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_BKP20231025
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_Quadratura_2023_07_17
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_Quadratura_20230721
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList2904
drop table if exists C6StampeCentralizzate.C6MartPeriodico.FOI80_old
drop table if exists C6StampeCentralizzate.C6MartPeriodico.FOI80_test_1riga
drop table if exists C6StampeCentralizzate.C6MartPeriodico.generator_diagnosi_20230928
drop table if exists C6StampeCentralizzate.C6MartPeriodico.generator_diagnosi_20231121
drop table if exists C6StampeCentralizzate.C6MartPeriodico.Generator_direct_20231003
drop table if exists C6StampeCentralizzate.C6MartPeriodico.generator_monitoraggio_private_20231121
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_200120
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190712_L1_parz
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190715_L1
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190718_0_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190718_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190719_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190726_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20190729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20191024_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20191025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20191029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20191030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20191031_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200127_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200130_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200131
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200201_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200204_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200422_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200427_preZipb
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200505_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200506_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200507_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200721_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200721_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20200724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20201020_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20201021_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20201021_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20201022_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20201027_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20201029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210119_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210120_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210122_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210126_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210128_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210128_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210129_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210225_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210426_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20210430_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220211_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220502_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220511_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220513_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220722_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220727
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20220729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20221025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20221028_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230503_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.GESTIONE_PDF_FTP_20230531
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230725
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20230727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20231030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20231106_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20231107_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20231108_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20231109_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_bk231019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_bk2510_1stlotto
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_bk2810_2ndlotto
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_bk2910
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_bk2910b
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_bkp_20231027
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_pq2704
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp230420
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp240420
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_200120
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20190718_0_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20190718_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20190719_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20190723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20190726_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20190729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20191024_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20191025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20191029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20191030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20191031_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200127_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200130_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200131
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200201_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200204_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200422_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200427_preZipb
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200505_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200506_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200507_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200721_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200721_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200723_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20200724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20201020_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20201021_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20201021_preZipa
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20201022_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20201027_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20201029_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210119_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210120_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210120_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210122_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210126_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210128_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210128_preZip_
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210129_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210225_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210426_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20210430_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220211_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220217_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220502_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220511_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220513_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220722_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220727
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20220729_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20221025_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20221028_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230131_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230203_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230427_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230503_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230504_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230724_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20230727_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20231030_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20231106_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20231107_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20231108_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_20231109_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.GESTIONE_ZIP_FTP_270420
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_bk231019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_zip_ftp_bk2910
drop table if exists C6StampeCentralizzate.C6MartPeriodico.MailAvvisoTrimestraleAiPB_10122021
drop table if exists C6StampeCentralizzate.C6MartPeriodico.MIFID_bck20131113
drop table if exists C6StampeCentralizzate.C6MartPeriodico.MIFID_BK_2010_10_11
drop table if exists C6StampeCentralizzate.C6MartPeriodico.MONITORAGGIO_INIZIALE_20181214_PreMioFoglio
drop table if exists C6StampeCentralizzate.C6MartPeriodico.MONITORAGGIO_REPORT_20181214_PreMioFoglio
drop table if exists C6StampeCentralizzate.C6MartPeriodico.MONITORAGGIO_STORICO_20190513
drop table if exists C6StampeCentralizzate.C6MartPeriodico.PARTITE_VIAGGIANTI_20190723_preInsert
drop table if exists C6StampeCentralizzate.C6MartPeriodico.PARTITE_VIAGGIANTI_20200127_preInsert
drop table if exists C6StampeCentralizzate.C6MartPeriodico.PARTITE_VIAGGIANTI_20210428_preInsert
drop table if exists C6StampeCentralizzate.C6MartPeriodico.PARTITE_VIAGGIANTI_bk281019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.patrimonio_bf_20220511
drop table if exists C6StampeCentralizzate.C6MartPeriodico.PATRIMONIO_IMMOBILIARE_20190205_ProQuota
drop table if exists C6StampeCentralizzate.C6MartPeriodico.Patrimonio_Immobiliare_ProQuota_20190430
drop table if exists C6StampeCentralizzate.C6MartPeriodico.PATRIMONIO_IMMOBILIARE_ProQuota_20220516
drop table if exists C6StampeCentralizzate.C6MartPeriodico.patrimonio_immobiliare_proquota_BRNFNC65C03I726I
drop table if exists C6StampeCentralizzate.C6MartPeriodico.PATRIMONIO_IMMOBILIARE_PROQUOTA150120
drop table if exists C6StampeCentralizzate.C6MartPeriodico.piramide_mod_3009
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20220728
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20221125
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20230209
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20230531
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20230531_105420
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20230731
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20231005
drop table if exists C6StampeCentralizzate.C6MartPeriodico.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_PREC_20231120
drop table if exists C6StampeCentralizzate.C6MartPeriodico.RP_REP_S80_EVOL_STAMPA_C6_TRIM_ATTUALE_20230531
drop table if exists C6StampeCentralizzate.C6MartPeriodico.S184CoerenzaESG_ERR
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tab_semaforo_20220628
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tab_semaforo_20220706
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tab_semaforo_20220713
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tab_semaforo_20220912
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tab_semaforo_20220912_buono3
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220601
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220628
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220701
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220704
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220704_122938
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220901
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220901_1
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220906
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220929
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20220929_esg
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20221003
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20221202
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230102
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230102_115008
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230301
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230404
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230405
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230405_122513
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230405_160222
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230601
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230703
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230901
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230906
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20231002
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone20220829
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone20220830
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone20220830_1
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20180712_InviataConRaccManuali
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20190204
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_campione_20191021
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_202206010
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20220613
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20220617
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20220921
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_campione_20220922
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20221022
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_2023_09_25
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20230717
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20230925
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20231002
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20231024
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_bkp_20231024
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_campione_MI151019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_campione_sim092022
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_FD190PatrimonioFinanziario_PTFRibilanciato_test
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S178CasiParticolari_Testi_20180620
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S178CasiParticolari_Testi_BKP_PRE_RAFFORZAMENTO
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S178IndicatoriEsitoAdeguatezza_Note_20230918
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S178IndicatoriEsitoAdeguatezza_Note_preMUA
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S179EmittentiConcentrazioneAlta_20180626
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S179EmittentiConcentrazioneAlta_20230710
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S179EmittentiConcentrazioneAlta_20230801
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S179EmittentiConcentrazioneAlta_TEST
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S180ProdottiComplessitaAlta_20230801
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S25Anagrafica_20171017
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio_20181214_PreMioFoglio
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio_20190429
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio_perc_09022022
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio_perc_20220518
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190514_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190529_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190530_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190612_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190613_143752_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190613_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190617_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190708_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190710_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190719_153013_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190719_161921_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190719_165900_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190719_174930_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190719_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190723_143710_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190723_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190723_preCancNonCensiti
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190725_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190726
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190726_091516_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190726_095047_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190726_143843_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190726_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190729_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20190911_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20191011_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20191025_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20191028_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20191029_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20191030_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20191031_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20191211_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200114_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200124_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200130_200552_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200130_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200131_155600_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200131_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200204_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200205_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200312_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200411_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200424_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200428_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200429_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200504_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200506_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200507_201336_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200507_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200508_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200617_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200709_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200722_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200724_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200727_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20200915_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201009_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201019_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201021_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201022_161336_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201022_171627_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201022_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201027_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201029_173558_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201029_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201102_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20201217_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210113_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210126_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210127_130653_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210127_172410_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210127_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210205_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210211_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210212_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210222_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210226_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210318_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210414_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210428_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210429_161703_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210429_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210430_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210716_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210721_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210722_172654_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210722_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210729_185750_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210729_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210922_191946_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210922_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20210923_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20211022_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20211216_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220119_121916_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220119_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220126_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220211_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220216_155920_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220216_182621_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220216_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220217_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220218_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220321_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220421
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220422_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220510_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220511_091809_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220511_092121_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220511_092232_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220511_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220513_125125_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220513_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220516_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220519_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220609
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220609_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220711
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220716_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_segnalazionidataquality_20220718
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220718_132540_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220718_144517_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220718_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220726_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220728_173857_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220728_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220816_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220921_202147_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220921_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20220929_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221001_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221018_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221027_130353_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221027_203725_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221027_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221110_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221121_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221216_111650_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20221216_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230124_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230202_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230206_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230208_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230209_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230313_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230414_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230418_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230502_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230503_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230508_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230615_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230714_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230727_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230731_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20230923_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231019_205509_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231019_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231025_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231104_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231107_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231108_203817_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231108_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231114_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TEST_REND_NON_RAPPR_2
drop table if exists C6StampeCentralizzate.C6MartPeriodico.test_w6catrf
drop table if exists C6StampeCentralizzate.C6MartPeriodico.test1
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TEST168
drop table if exists C6StampeCentralizzate.C6MartPeriodico.test2
drop table if exists C6StampeCentralizzate.C6MartPeriodico.test3
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20160711
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20170123
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20170210_anteRettificaServCliente
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20170411
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20170619_firma
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20180626_PreCert
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20180914
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20190126_PreErrataCorrige
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20201103
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20221212
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_20221221
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_bk_20150925
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_BKP24052023
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_Rosaspina_20221213
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_Rosaspina_20221221
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TESTO_LETTERA_ACCETTAZIONE_Rosaspina_20221227
drop table if exists C6StampeCentralizzate.C6MartPeriodico.testo_lettera_Accettazione_Rosaspina_BKP_20231124
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TIPO_EMAIL_20161206
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20220422
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220518
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20220518_2
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220527
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220530
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220609
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220613
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220620
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220620_180451
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220621
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220711
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20220712
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20220728
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220816
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220816_092927
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220913
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220914
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220916
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20220921
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20220929
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20221004
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20221012
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20221017
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20221027
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20221121
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_2023_05_08
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_2023_06_14
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_2023_09_21_CLIENTI_IN_ERRORE_API
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230_09_15
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230115
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230116
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230201
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230202
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230209
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230413
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230414
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230502
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230502_bk
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230712
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230731
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230805_preMUA
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20230905
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20231002
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20231009
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20231013_campione
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20231017
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20231018
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20231018_buona
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20231023
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20231110
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20231114
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_B_20220502
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_b_20220613
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_b_20231113
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_b_20231113_fix01
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20231114
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20231114_101033
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20231115
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20231115_184317
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_b_scartati
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_bkOttobre2021
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_BKP_20231114
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_codman
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_old
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_preAPI_v1_20230810
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_prova
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_prova2
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_staging
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_test2022
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6imm_20221003
drop table if exists C6StampeCentralizzate.C6MartPeriodico.WHITELIST_ZIP_20220722
drop table if exists C6StampeCentralizzate.C6MartPeriodico.WHITELIST_ZIP_20230724
drop table if exists C6StampeCentralizzate.C6MartPeriodico.WHITELIST_ZIP_bk231019
drop table if exists C6StampeCentralizzate.C6MartPeriodico.zz2101_MONITORAGGIO_ATTUALE
set @messaggio = 'TRUNCATE fino a C6MartPeriodico OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE C6MartPeriodicoImmobiliare
drop table if exists C6StampeCentralizzate.C6MartPeriodicoImmobiliare.ANAG_CLIENTI_20181113
drop table if exists C6StampeCentralizzate.C6MartPeriodicoImmobiliare.ExcludedList_20220907
drop table if exists C6StampeCentralizzate.C6MartPeriodicoImmobiliare.PATRIMONIO_BF_20190516
drop table if exists C6StampeCentralizzate.C6MartPeriodicoImmobiliare.TB_S133_S157DatiPiramide
drop table if exists C6StampeCentralizzate.C6MartPeriodicoImmobiliare.W6IMM_0110
drop table if exists C6StampeCentralizzate.C6MartPeriodicoImmobiliare.W6IMM_070421
set @messaggio = 'TRUNCATE fino a C6MartPeriodicoImmobiliare OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE C6Staging
drop table if exists C6StampeCentralizzate.C6Staging.ADS4WS_PROMOTORI_oldSchema
drop table if exists C6StampeCentralizzate.C6Staging.BRS_AGGR_OUT_ALADDIN_20220908
drop table if exists C6StampeCentralizzate.C6Staging.BRS_AGGR_OUT_ALADDIN_20230707
drop table if exists C6StampeCentralizzate.C6Staging.C_BO_453FB
drop table if exists C6StampeCentralizzate.C6Staging.ESG_ANAG_METRICHE_preESG3
drop table if exists C6StampeCentralizzate.C6Staging.ESG_Metriche_Cliente_IL_20220908
drop table if exists C6StampeCentralizzate.C6Staging.ESG_Metriche_Cliente_IL_20220921
drop table if exists C6StampeCentralizzate.C6Staging.ESG_Metriche_Cliente_IL_20230707
drop table if exists C6StampeCentralizzate.C6Staging.ESG_Metriche_Cliente_IL20220909
drop table if exists C6StampeCentralizzate.C6Staging.PROMETEIA_AGGR_20170124
drop table if exists C6StampeCentralizzate.C6Staging.RP_Cliente_20170317
drop table if exists C6StampeCentralizzate.C6Staging.RP_Cliente_20180702_preNewFiduciarie
drop table if exists C6StampeCentralizzate.C6Staging.RP_Consulenza_20170201
drop table if exists C6StampeCentralizzate.C6Staging.RP_Consulenza_20171113_save
drop table if exists C6StampeCentralizzate.C6Staging.RP_DettAltriProdotti_bk_20150511
drop table if exists C6StampeCentralizzate.C6Staging.RP_DettImmobiliare_20190107_ProQuota
drop table if exists C6StampeCentralizzate.C6Staging.RP_DettImmobiliare_BK_20150511
drop table if exists C6StampeCentralizzate.C6Staging.RP_DettPatrAziendale_bk_20150511
drop table if exists C6StampeCentralizzate.C6Staging.RP_Pianificazione_20161229
drop table if exists C6StampeCentralizzate.C6Staging.sintesi_fffwrs01
drop table if exists C6StampeCentralizzate.C6Staging.sintesi_fffwrs01_no_dupl
drop table if exists C6StampeCentralizzate.C6Staging.SPB_MIFID_20161102
drop table if exists C6StampeCentralizzate.C6Staging.SPB_MIFID_20170609
drop table if exists C6StampeCentralizzate.C6Staging.SPB_MIFID_20230702_preMUA
drop table if exists C6StampeCentralizzate.C6Staging.SPB_NAC_20160427
drop table if exists C6StampeCentralizzate.C6Staging.SPB_SCARTI_20170126
drop table if exists C6StampeCentralizzate.C6Staging.SPB_SCARTI_bk_20151008
drop table if exists C6StampeCentralizzate.C6Staging.VAR_ADEGUATEZZA_20231019
drop table if exists C6StampeCentralizzate.C6Staging.VAR_ADEGUATEZZA_INDICATORI_20181217
drop table if exists C6StampeCentralizzate.C6Staging.VAR_ADEGUATEZZA_INDICATORI_20220407
drop table if exists C6StampeCentralizzate.C6Staging.VAR_ADEGUATEZZA_INDICATORI_20220909
drop table if exists C6StampeCentralizzate.C6Staging.VAR_ADEGUATEZZA_INDICATORI_20221017
drop table if exists C6StampeCentralizzate.C6Staging.VAR_ADEGUATEZZA_INDICATORI_20230702_preMUA
drop table if exists C6StampeCentralizzate.C6Staging.VAR_ADEGUATEZZA_INDICATORI14092022
drop table if exists C6StampeCentralizzate.C6Staging.WSROL_20160114
drop table if exists C6StampeCentralizzate.C6Staging.WSROL_20160614
set @messaggio = 'TRUNCATE fino a C6Staging OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE C6StagingPeriodico
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.all_consul_asul_bck_20110715
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.all_pos_cons_cat_bck_20110715
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.all_proposta_bck_20110715
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.appo_contratti_0110
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20190414_preUpdateFiduciarie
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20190603_primoCaricamento
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20190611
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20190614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.appo_contratti_20190725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20191206
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.appo_contratti_20220704
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_2023_09_05
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20230405
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_BACKUP_00805
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_bk05052021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_LIMITER_20190510_l3
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_LIMITER_20220512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_LIMITER_2023_05_08
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_LIMITER_2023_07_31
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_LIMITER_20230503
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.appo_contratti_limiter_bk281019
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.appo_contratti_prequad_06062022
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_rimossi20220906
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20221110
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20221121
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20221121_222825
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20221214
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_2023_05_08
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_2023_06_14
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_2023_07_12
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_2023_0731
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_2023_09_15
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230112
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230116
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_180145
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_180447
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_180749
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_181052
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_181656
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_181958
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_182300
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_182602
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_182904
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_183206
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_183509
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_184112
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_184717
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_185020
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_185624
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_185926
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_190228
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_190530
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_190833
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_191135
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_191437
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_191738
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_192040
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_192342
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_192644
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_192947
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_193249
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_193553
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_193856
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_194158
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_194500
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_194802
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_195104
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_195406
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_195708
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_200010
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_200312
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_200917
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_201219
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_201521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_201823
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_202125
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_202427
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_202728
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_203030
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_203341
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_203654
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_204005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_204317
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_204627
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_204938
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_205249
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_205600
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_205911
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_210222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_210548
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_210916
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_211242
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_211609
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_211936
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_212302
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_212606
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_212909
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_213212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_213517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_213820
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_214125
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_214428
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_214733
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_215036
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_215339
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_215644
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_215948
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_220252
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_220555
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_220858
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_221202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_221505
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_221810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_222113
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_222416
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_222719
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_223023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_223327
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_223638
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_223941
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_224243
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_224545
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_224848
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_225150
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_225452
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_225754
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_230057
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_230400
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_230701
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_231005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_231307
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_231609
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_231912
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_232214
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_232516
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_232818
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_233121
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_233424
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_233726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_234029
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_234331
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_234633
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_234936
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_235238
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_235540
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230201_235843
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_000448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_000750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_001053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_001355
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_001657
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_001959
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_002301
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_002603
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_002906
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_003208
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_003511
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_003813
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_004115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_004417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_004719
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_005023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_005325
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_005627
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_005931
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_010234
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_010536
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_010839
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_011142
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_011444
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_011748
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_012051
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_012353
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_012655
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_012958
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_013301
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_013604
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_013907
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_014209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_014512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_014815
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_015118
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_015420
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_015722
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_020025
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_020327
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_020629
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_020933
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_021235
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_021537
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_021841
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_022146
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_022448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_022750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_023053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_023357
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_023659
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_024001
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_024303
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_024606
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_024909
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_025211
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_025514
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_025816
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_030119
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_030422
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_030724
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_031028
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_031330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_031632
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_031934
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_032237
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_032539
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_032842
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_033145
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_033448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_033750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_034053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_034355
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_034658
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_035000
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_035302
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_035605
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_035907
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_040210
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_040513
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_040816
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_041119
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_041422
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_041725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_042028
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_042330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_042632
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_042935
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_043238
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_043540
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_043843
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_044146
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_044449
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_044752
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_045055
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_045358
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_045701
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_050003
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_050306
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_050608
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_050911
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_051213
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_051517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_051819
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_052122
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_052424
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_052726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_053029
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_053332
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_053635
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_053938
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_054241
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_054544
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_054846
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_055149
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_055451
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_055754
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_060056
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_060400
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_060702
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_061005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_061308
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_061610
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_061913
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_062215
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_062518
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_062820
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_063123
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_063426
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_063730
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_064032
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_064335
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_064637
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_064940
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_065243
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_065545
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_065848
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_070151
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_070453
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_070757
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_071059
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_071402
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_071704
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_072007
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_072309
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_072613
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_072915
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_073218
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_073521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_073824
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_074126
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_074429
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_074732
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_075034
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_075337
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_075640
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_075943
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_080246
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_080548
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_080851
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_081154
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_081457
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_081800
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_082102
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_082405
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_082709
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_083012
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_083315
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_083618
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_083921
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_084224
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_084526
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_084829
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_085133
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_085436
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_085738
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_090041
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_090345
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_090648
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_090951
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_091254
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_091557
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_091900
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_092203
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_092507
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_092810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_093114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_093417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_094650
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230202_094953
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230208
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230310
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230413
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230413_104555
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230413_104616
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230414
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230502
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230502_bk
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230503
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230508
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_2023052
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230706
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230712
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230731
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230811
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230915
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20230915_093719
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231006
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231009
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231013
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231013_v2
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231018
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231018_121414
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231018_153025
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231018_163033
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231023_210659
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231023_224710
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231024
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231102
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231108
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231108_200059
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231108_200429
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231110
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231111
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231113
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231113_133443
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231113_180510
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231114_100343
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231114_105002
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_BKP_20231114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_20190405_senzaImmobiliare
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_20190611
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_20191206
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.contrattipretrimestrale_20220704
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_20221202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_2023_09_05
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_20230901
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_rimossi20220906
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ControlloROL_SEI_bck20130725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.datiROL2_20190131
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.datiROL2_20190403_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.datiROL2_20190405_preImmobiliare
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.datiROL2_20220406
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.datiROL2_20221004
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.datiROL2_20221004_new
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.datiROL2_TEST
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.DecodEmittente_20190325
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20220908
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20220913
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20220913_160228
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.esg_metriche_cliente_il_20220921
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.esg_metriche_cliente_il_20220921_nocodman
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.esg_Metriche_Cliente_IL_20220929
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.esg_metriche_cliente_il_20221004
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221013
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221017
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221017_buono
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221026
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221027
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221110
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221121
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221121_222733
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20221214
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_2023_05_08
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_2023_06_14
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_2023_07_12
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_2023_0731
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_2023_09_15
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230112
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230116
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_175844
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_180145
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_180447
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_180749
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_181052
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_181354
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_181656
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_181958
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_182300
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_182602
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_182904
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_183206
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_183509
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_183811
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_184112
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_184414
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_184717
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_185020
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_185322
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_185624
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_185926
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_190228
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_190530
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_190833
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_191135
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_191437
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_191738
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_192040
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_192342
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_192644
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_192947
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_193249
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_193553
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_193856
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_194158
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_194500
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_194802
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_195104
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_195406
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_195708
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_200010
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_200312
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_200614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_200917
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_201219
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_201521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_201823
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_202125
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_202427
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_202728
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_203030
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_203341
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_203654
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_204005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_204317
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_204627
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_204938
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_205249
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_205600
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_205911
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_210222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_210549
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_210916
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_211242
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_211609
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_211936
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_212302
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_212606
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_212909
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_213212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_213517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_213820
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_214125
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_214428
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_214733
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_215036
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_215339
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_215644
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_215948
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_220252
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_220555
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_220858
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_221202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_221505
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_221810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_222113
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_222416
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_222719
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_223023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_223327
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_223638
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_223941
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_224243
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_224545
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_224848
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_225150
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_225452
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_225754
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_230057
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_230400
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_230702
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_231005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_231307
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_231609
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_231912
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_232214
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_232516
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_232818
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_233121
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_233424
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_233726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_234029
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_234331
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_234633
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_234936
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_235238
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_235540
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230201_235843
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_000448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_000750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_001053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_001355
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_001657
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_001959
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_002301
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_002603
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_002906
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_003208
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_003511
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_003813
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_004115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_004417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_004719
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_005023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_005325
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_005627
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_005931
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_010234
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_010536
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_010839
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_011142
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_011444
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_011748
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_012051
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_012353
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_012655
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_012958
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_013301
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_013604
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_013907
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_014209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_014512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_014815
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_015118
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_015420
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_015722
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_020025
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_020327
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_020629
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_020933
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_021235
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_021537
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_021841
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_022146
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_022448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_022750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_023054
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_023357
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_023659
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_024001
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_024303
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_024606
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_024909
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_025211
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_025514
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_025816
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_030119
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_030422
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_030724
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_031028
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_031330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_031632
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_031934
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_032237
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_032539
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_032842
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_033145
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_033448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_033750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_034053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_034355
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_034658
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_035000
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_035302
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_035605
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_035907
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_040210
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_040513
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_040816
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_041119
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_041422
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_041725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_042028
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_042330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_042632
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_042935
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_043238
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_043540
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_043843
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_044146
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_044449
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_044752
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_045055
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_045358
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_045701
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_050003
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_050306
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_050608
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_050911
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_051213
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_051517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_051819
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_052122
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_052424
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_052726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_053029
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_053332
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_053635
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_053938
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_054241
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_054544
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_054846
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_055149
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_055451
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_055754
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_060056
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_060400
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_060702
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_061005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_061308
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_061610
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_061913
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_062215
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_062518
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_062820
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_063123
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_063426
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_063730
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_064032
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_064335
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_064637
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_064940
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_065243
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_065545
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_065848
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_070151
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_070453
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_070757
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_071059
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_071402
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_071704
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_072007
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_072309
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_072613
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_072915
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_073218
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_073521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_073824
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_074126
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_074429
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_074732
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_075034
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_075337
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_075640
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_075943
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_080246
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_080548
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_080851
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_081154
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_081457
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_081800
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_082102
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_082405
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_082709
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_083012
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_083315
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_083618
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_083921
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_084224
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_084526
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_084829
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_085133
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_085436
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_085738
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_090041
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_090345
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_090648
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_090951
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_091254
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_091557
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_091900
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_092203
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_092507
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_092810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_093114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_093417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_094651
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230202_094954
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230208
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230310
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230413
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230413_104603
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230413_104619
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230414
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230502
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230502_bk
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230503
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230508
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_2023052
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230706
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230712
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230731
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230811
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20230915
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.esg_metriche_cliente_Il_20231006
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231009
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231013
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231013_v2
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231018
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231018_121414
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231018_153032
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231018_163036
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231023_210721
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231023_224710
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231024
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231102
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231108
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231108_200059
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231108_200429
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231110
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231111
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231113
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231113_133443
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231113_180510
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231114_100346
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231114_105007
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_METRICHE_CLIENTE_IL_BKP_20231114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.photo_data_bkp3112
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.photo_data_trim_20120101
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_02122021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_03012021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_04102021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_10122021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_15112021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_17012022
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_20211220
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_23_11_2021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_23122021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_26112021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Popola_PiramideModello_29112021
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.POSITION_bck20120706
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.PROMETEIA_AGGR_20190719_PLLSNO63C69A859J
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RISKCLASS_BK_20141106
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_anagrafica_promotori_20160126
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_AnEmittente_20160122
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_AREA_20170118
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_CATALOGOPRODOTTI_20190325
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_DettImmobiliare_20190205_ProQuota
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_InfoCliente_20220523_bon_old
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_InfoCliente_20220523_old
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_MonitoraggioStorico_20181214_PreMioFoglio
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_PosizioniPortafoglio_20221006
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_RDR_VALUTE_DB_DTGIORNALIERI_4interi
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_REP_S80_EVOL_STAMPA_C6_20181214_PreMioFoglio
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_REP_S80_EVOL_STAMPA_C6_TMP
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_REP_S80_EVOL_STAMPA_C6_TRIM_20221231
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_REP_S80_EVOL_STAMPA_C6_xxx
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_S4_S5_S13_TRAD_UNTIL_LIV3
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.RP_TB_ESG_ANAG_STRUM_20220607
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.S4_S5_S13_TRAD_UNTIL_LIV3
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.S80_evol_bck
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.SPB_PROF_RISCHIO_20221115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_1103
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190529_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190530_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190611_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190613_142123_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190613_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190614_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190617_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190707_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190710_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190719_150951_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190719_151230_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190719_155205_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190719_163613_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190719_173039_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190719_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190723_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190725_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190726_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190729_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20190910_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20191011_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20191025_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20191028_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20191029_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20191030_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20191031_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20191210_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200114_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200124_175525_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200124_180743_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200124_184938_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200124_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200130_194001_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200130_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200131_152147_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200131_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200204_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200205_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200310_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200409_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200423_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200428_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200504_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200507_174302_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200507_185344_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200507_190825_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200507_205044_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200507_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200616_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200709_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200722_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200724_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200727_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20200915_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201009_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201019_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201021_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201022_154915_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201022_165129_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201022_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201027_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201029_170213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201029_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201101_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201102_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20201215_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210113_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210125_174501_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210125_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210127_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210205_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210211_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210212_102535_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210212_103040_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210212_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210222_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210226_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210317_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210414_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210428_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210429_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210430_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_161154_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_164252_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_164711_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_165552_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_165623_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_170002_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_172443_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_174119_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_175507_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_175724_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_180931_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_181134_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_181936_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_182115_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_184300_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210624_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210625_171211_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210625_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210715_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210729_162945_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210729_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210916_170830_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20210916_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20211014_143929_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20211014_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20211021_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20211110_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20211118_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20211213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20211216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220113_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220118_194803_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220118_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220209_101454_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220209_101745_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220209_102253_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220214_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220216_113745_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220216_114937_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220217_181405_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220217_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220314_171627_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220314_172506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220314_172618_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220314_174101_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220314_174317_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220314_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220321_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220406_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220413_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220420_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220421_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220422_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220510_174928_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220510_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220512_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220513_163648_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220513_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220523_204355_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220523_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220607_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220609_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220711_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220715_175600_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220715_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220725_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220726_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220728_160926_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220728_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220729_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220913_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220921_191501_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220921_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220929_134326_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20220929_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221017_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221018_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221026_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221027_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221110_123347_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221110_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221121_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20221216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230113_184242_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230113_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230124_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230201_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230202_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230206_095905_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230206_102209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230206_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230208_154413_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230208_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230309_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230313_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230412_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230414_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230418_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230428_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230502_154237_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230502_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230503_163733_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230503_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230508_213548_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230508_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230613_182424_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230613_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230614_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230615_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230711_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230713_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230725_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230727_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230731_182316_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230731_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230804_192239_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230804_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230811_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230914_131530_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230914_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230923_094842_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20230923_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231016_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231017_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231019_180658_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231019_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231102_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231103_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231107_120414_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231107_123329_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231107_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231108_111832_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231108_162325_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231108_175027_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231108_201209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231108_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231110_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231114_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TCPTAB_1103
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TCPTAB_1706dup
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TCPTAB_20190509_ReplicaL3
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Tcptab_20190725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TCPTAB_20220428
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TCPTAB_del_20220422
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TEST_TRENAB2
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.test4
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Test5
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20220609
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20220620
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20220620_180452
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20220621
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20220711
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20220816
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20220913
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20221017
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20221121
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230116
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_175843
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_180145
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_180447
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_180749
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_181052
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_181353
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_181656
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_181958
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_182300
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_182602
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_182904
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_183206
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_183509
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_183811
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_184112
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_184414
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_184717
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_185020
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_185322
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_185624
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_185926
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_190228
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_190530
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_190833
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_191135
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_191437
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_191738
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_192040
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_192342
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_192644
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_192947
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_193249
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_193553
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_193856
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_194158
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_194500
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_194802
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_195104
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_195406
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_195708
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_200010
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_200312
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_200614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_200917
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_201219
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_201521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_201823
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_202125
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_202426
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_202728
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_203030
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_203341
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_203654
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_204005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_204316
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_204627
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_204938
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_205249
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_205600
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_205911
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_210222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_210548
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_210916
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_211242
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_211609
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_211936
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_212302
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_212606
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_212909
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_213212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_213517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_213820
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_214125
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_214428
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_214732
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_215036
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_215339
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_215644
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_215948
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_220252
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_220555
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_220858
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_221202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_221504
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_221810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_222113
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_222416
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_222719
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_223023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_223327
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_223638
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_223941
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_224243
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_224545
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_224848
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_225150
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_225452
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_225754
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_230057
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_230400
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_230701
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_231004
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_231307
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_231609
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_231912
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_232214
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_232516
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_232818
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_233121
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_233424
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_233726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_234029
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_234331
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_234633
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_234936
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_235238
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_235540
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230201_235843
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_000448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_000750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_001053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_001355
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_001657
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_001959
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_002301
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_002603
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_002906
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_003208
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_003511
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_003813
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_004115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_004417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_004719
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_005023
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_005325
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_005627
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_005931
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_010234
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_010536
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_010839
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_011142
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_011444
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_011748
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_012051
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_012353
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_012655
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_012958
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_013301
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_013604
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_013907
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_014209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_014512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_014815
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_015118
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_015420
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_015722
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_020025
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_020327
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_020629
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_020933
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_021235
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_021537
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_021841
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_022146
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_022448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_022750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_023053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_023357
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_023659
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_024001
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_024303
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_024606
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_024909
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_025211
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_025514
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_025816
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_030119
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_030422
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_030724
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_031028
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_031330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_031632
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_031934
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_032237
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_032539
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_032842
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_033145
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_033448
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_033750
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_034053
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_034355
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_034658
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_035000
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_035302
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_035605
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_035907
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_040210
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_040513
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_040816
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_041119
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_041422
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_041725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_042028
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_042330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_042632
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_042935
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_043238
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_043540
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_043843
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_044146
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_044449
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_044752
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_045055
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_045358
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_045701
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_050003
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_050306
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_050608
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_050911
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_051213
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_051517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_051819
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_052121
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_052424
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_052726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_053029
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_053332
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_053635
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_053938
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_054241
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_054544
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_054846
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_055149
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_055451
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_055754
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_060056
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_060400
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_060702
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_061005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_061308
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_061610
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_061913
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_062215
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_062518
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_062820
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_063123
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_063426
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_063730
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_064032
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_064335
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_064637
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_064940
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_065243
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_065545
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_065848
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_070151
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_070453
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_070757
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_071059
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_071402
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_071704
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_072007
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_072309
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_072613
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_072915
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_073218
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_073521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_073824
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_074126
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_074429
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_074732
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_075034
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_075337
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_075640
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_075943
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_080246
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_080548
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_080851
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_081154
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_081457
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_081800
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_082102
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_082405
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_082709
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_083012
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_083315
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_083618
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_083921
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_084224
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_084526
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_084829
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_085133
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_085435
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_085738
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_090041
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_090345
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_090648
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_090951
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_091254
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_091557
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_091900
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_092203
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_092507
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_092810
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_093114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_093417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_094650
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230202_094953
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20230413
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20231009
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20231018
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.trimestrale_scarti_20231114
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.Tscabp_20190725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TSCABP_20220428
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.vListaClientiTrimestrale_2023_09_05
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.w6apag_test
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.W6ASSETPERC_BACKUP
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.W6ASSETPERC_BACKUP_2104
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.wseiad_2402
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAD2_20230801
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200205_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200310_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200409_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200423_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200428_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200504_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200507_174303_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200507_185345_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200507_190826_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200507_205045_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200507_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200616_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200709_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200722_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200724_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200727_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20200915_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201009_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201019_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201021_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201022_154915_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201022_165129_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201022_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201027_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201029_170213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201029_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201101_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201102_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20201215_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210113_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210125_174501_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210125_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210127_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210205_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210211_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210212_102535_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210212_103041_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210212_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210222_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210226_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210317_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210414_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210428_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210429_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210430_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_161154_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_164253_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_164712_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_165553_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_165624_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_170002_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_172443_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_174120_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_175507_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_175724_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_180932_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_181135_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_181936_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_182116_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_184300_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210624_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210625_171211_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210625_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20210715_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20210729_162946_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20210729_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20210916_170830_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20210916_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20211014_143929_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20211014_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20211021_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20211110_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20211118_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20211213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20211216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220113_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220118_194803_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220118_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220209_101454_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220209_101745_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220209_102253_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220214_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220216_113745_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220216_114937_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220217_181405_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220217_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220314_171627_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220314_172506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220314_172619_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220314_174102_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220314_174317_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220314_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220321_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220406_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220413_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220420_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220421_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220422_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220510_174928_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220510_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220512_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220513_163648_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220513_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220523_204406_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220523_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220607_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220609_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220711_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220715_175600_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220715_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220725_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220726_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220728_160927_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220728_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220729_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220913_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220921_191502_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220921_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220929_134326_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20220929_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221017_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221018_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221026_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221027_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221110_123347_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221110_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221121_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20221216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230113_184242_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230113_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230124_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230201_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230202_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230206_095906_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230206_102209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230206_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230208_154415_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230208_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230309_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230313_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230412_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230414_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230418_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230428_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230502_154238_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230502_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230503_163733_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230503_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230508_213549_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230508_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230613_182425_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230613_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230614_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230615_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230711_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230713_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230725_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230727_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230731_182317_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230731_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230804_192239_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230804_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230811_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230914_131531_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230914_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230923_094842_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20230923_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231016_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231017_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231019_180658_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231019_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231102_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231103_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231107_120415_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231107_123330_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231107_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231108_111833_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231108_162326_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231108_175027_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231108_201217_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231108_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231110_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231114_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEICE2_20230801
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.wseics_20190725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.wseics_20220512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.wseidc_20230130
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEILP_20230726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.wseips_20230130
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.wseiul_20220512
set @messaggio = 'TRUNCATE fino a C6StagingPeriodico OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE C6StagingPeriodicoImmobiliare
drop table if exists C6StampeCentralizzate.C6StagingPeriodicoImmobiliare.APPO_CONTRATTI_LIMITER_20221025
drop table if exists C6StampeCentralizzate.C6StagingPeriodicoImmobiliare.RP_InfoCliente_20181113
set @messaggio = 'TRUNCATE fino a C6StagingPeriodicoImmobiliare OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE C6Storico
drop table if exists C6StampeCentralizzate.C6Storico.ST_ADS4WS_PROMOTORI
drop table if exists C6StampeCentralizzate.C6Storico.ST_C_BO_453FB
drop table if exists C6StampeCentralizzate.C6Storico.ST_S25_CLI_CLIENTE
drop table if exists C6StampeCentralizzate.C6Storico.ST_S4_S5_S13_TRAD_UNTIL_LIV3
set @messaggio = 'TRUNCATE fino a C6Storico OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE C6StoricoPeriodico
drop table if exists C6StampeCentralizzate.C6StoricoPeriodico.ST_ADS4WS_PROMOTORI
drop table if exists C6StampeCentralizzate.C6StoricoPeriodico.ST_ASSET_1_E_2_ORDINATE
drop table if exists C6StampeCentralizzate.C6StoricoPeriodico.ST_C_BO_453FB
drop table if exists C6StampeCentralizzate.C6StoricoPeriodico.ST_S4_S5_S13_TRAD_UNTIL_LIV3
set @messaggio = 'TRUNCATE fino a C6StoricoPeriodico OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE dbo
drop table if exists C6StampeCentralizzate.dbo._CONTROLLO_TRIMESTRALE_25
drop table if exists C6StampeCentralizzate.dbo._cruscotto_contrattisei_25
drop table if exists C6StampeCentralizzate.dbo._GESTIONE_PDF_FTP_25
drop table if exists C6StampeCentralizzate.dbo.[575_appo]
drop table if exists C6StampeCentralizzate.dbo.ANOMALIA_PRJ_TRIM_20151016
drop table if exists C6StampeCentralizzate.dbo.appo_freq2
drop table if exists C6StampeCentralizzate.dbo.appo_indirizzi_20150717
drop table if exists C6StampeCentralizzate.dbo.APPO_PRJ2
drop table if exists C6StampeCentralizzate.dbo.APPO_PRJ3
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20160915
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20161013
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20180116
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20221216
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20230316
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20230619
drop table if exists C6StampeCentralizzate.dbo.APPOCAMPIONEREPORT_20230717
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20230929
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_bkp_20231020
drop table if exists C6StampeCentralizzate.dbo.appoex_20151103
drop table if exists C6StampeCentralizzate.dbo.appolele2
drop table if exists C6StampeCentralizzate.dbo.appoleles80
drop table if exists C6StampeCentralizzate.dbo.appomau2
drop table if exists C6StampeCentralizzate.dbo.appos80
drop table if exists C6StampeCentralizzate.dbo.appos80_2
drop table if exists C6StampeCentralizzate.dbo.appos80_3
drop table if exists C6StampeCentralizzate.dbo.appovcontr0913
drop table if exists C6StampeCentralizzate.dbo.CampioneReportLele201207
drop table if exists C6StampeCentralizzate.dbo.CampioneReportLele201210
drop table if exists C6StampeCentralizzate.dbo.campionetrimestrale2
drop table if exists C6StampeCentralizzate.dbo.cf_lotto2_4_trim_2016
drop table if exists C6StampeCentralizzate.dbo.CheckMifidScirocco_20160118
drop table if exists C6StampeCentralizzate.dbo.CheckMifidScirocco_20160128
drop table if exists C6StampeCentralizzate.dbo.CheckMifidScirocco_20160413
drop table if exists C6StampeCentralizzate.dbo.CheckMifidScirocco_20160710
drop table if exists C6StampeCentralizzate.dbo.CheckQuadraturaProfiloRfaMifid_20160118
drop table if exists C6StampeCentralizzate.dbo.CheckQuadraturaProfiloRfaMifid_20160128
drop table if exists C6StampeCentralizzate.dbo.CheckQuadraturaProfiloRfaMifid_20160414
drop table if exists C6StampeCentralizzate.dbo.CheckQuadraturaProfiloRfaMifid_20160710
drop table if exists C6StampeCentralizzate.dbo.CheckQuadraturaProfiloRfaMifid_20170114
drop table if exists C6StampeCentralizzate.dbo.CheckQuadraturaProfiloRfaMifid_20170411
drop table if exists C6StampeCentralizzate.dbo.CheckRfaScirocco_20160118
drop table if exists C6StampeCentralizzate.dbo.CheckRfaScirocco_20160128
drop table if exists C6StampeCentralizzate.dbo.CheckRfaScirocco_20160413
drop table if exists C6StampeCentralizzate.dbo.CheckRfaScirocco_20160710
drop table if exists C6StampeCentralizzate.dbo.clienti_201103
drop table if exists C6StampeCentralizzate.dbo.clienti_esclusi201103from
drop table if exists C6StampeCentralizzate.dbo.ClientiEsclusiNelCampione_20170114
drop table if exists C6StampeCentralizzate.dbo.ClientiEsclusiNelCampione_20190416
drop table if exists C6StampeCentralizzate.dbo.cointestatari_20220524
drop table if exists C6StampeCentralizzate.dbo.cointestataridettagliodiritto_20220524
drop table if exists C6StampeCentralizzate.dbo.cono_bck3112
drop table if exists C6StampeCentralizzate.dbo.consarea_bkp2610210
drop table if exists C6StampeCentralizzate.dbo.correzione_pv2
drop table if exists C6StampeCentralizzate.dbo.Cruscotto_Checklist_Trimestrale_20160802
drop table if exists C6StampeCentralizzate.dbo.datiRol2_vm
drop table if exists C6StampeCentralizzate.dbo.dbo_congelato_20151104
drop table if exists C6StampeCentralizzate.dbo.DComune_20220524
drop table if exists C6StampeCentralizzate.dbo.DeltaOnLineCongelato_20151104
drop table if exists C6StampeCentralizzate.dbo.DettImmobiliare_20220524
drop table if exists C6StampeCentralizzate.dbo.DettImmobiliareCatasto_20220524
drop table if exists C6StampeCentralizzate.dbo.DettImmobiliareFiniture_20220524
drop table if exists C6StampeCentralizzate.dbo.DettImmobiliareStoricoVariazion_20220524
drop table if exists C6StampeCentralizzate.dbo.disallineati2_bck20131008
drop table if exists C6StampeCentralizzate.dbo.disallineati2BCK
drop table if exists C6StampeCentralizzate.dbo.disallineati2BCK201203
drop table if exists C6StampeCentralizzate.dbo.disallineati2BCKandrea
drop table if exists C6StampeCentralizzate.dbo.dq_20201022
drop table if exists C6StampeCentralizzate.dbo.DQ_positionid_null_20151104
drop table if exists C6StampeCentralizzate.dbo.dranacb_0306
drop table if exists C6StampeCentralizzate.dbo.DRANACB_20140730
drop table if exists C6StampeCentralizzate.dbo.DZona_20220524
drop table if exists C6StampeCentralizzate.dbo.email_non_inviate_NO_FIDUCIARIE_20100204
drop table if exists C6StampeCentralizzate.dbo.EsclusioneContrattiPerQuadratura_20151201
drop table if exists C6StampeCentralizzate.dbo.EsclusioneContrattiPerQuadratura_20160229
drop table if exists C6StampeCentralizzate.dbo.EsclusioneContrattiPerQuadratura_20170831
drop table if exists C6StampeCentralizzate.dbo.EsclusioneContrattiPerQuadratura_20230901
drop table if exists C6StampeCentralizzate.dbo.fase3_giugno
drop table if exists C6StampeCentralizzate.dbo.[FDT CTV Negativi_20151104]
drop table if exists C6StampeCentralizzate.dbo.fede233_na
drop table if exists C6StampeCentralizzate.dbo.Foglio1$
drop table if exists C6StampeCentralizzate.dbo.[FVI CTV Negativi_20151104]
drop table if exists C6StampeCentralizzate.dbo.[FVI Errati_20151104]
drop table if exists C6StampeCentralizzate.dbo.GESTIONE_EMAIL_bck0913
drop table if exists C6StampeCentralizzate.dbo.GESTIONE_Report_20180904
drop table if exists C6StampeCentralizzate.dbo.GESTIONE_Report_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.global_error_20160908
drop table if exists C6StampeCentralizzate.dbo.global_error_20170125
drop table if exists C6StampeCentralizzate.dbo.global_error_20170712_save
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20220613
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20220718
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20221216
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20230316
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20230619
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20230717
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20230929
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_bk1510
drop table if exists C6StampeCentralizzate.dbo.Input_RP_PROM_TuttiIPortafogli2_Aprile
drop table if exists C6StampeCentralizzate.dbo.Input_RP_PROM_TuttiIPortafogli2_Indicatore_Aprile
drop table if exists C6StampeCentralizzate.dbo.Input_RP_PROM_TuttiIPortafogli2_Indicatore_Marzo
drop table if exists C6StampeCentralizzate.dbo.Input_RP_PROM_TuttiIPortafogli2_Marzo
drop table if exists C6StampeCentralizzate.dbo.listaClientiBlack_20151019
drop table if exists C6StampeCentralizzate.dbo.listaClientiTrimestrale032015
drop table if exists C6StampeCentralizzate.dbo.listapdf_federica_20150719
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20160225
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20160701
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20161110
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20161129
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20161223
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20161228
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20161229
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20161230
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170103
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170104
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170113
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170117
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170123_G
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170124
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170126
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170127
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170201
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170214_mart
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170214_staging
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170221_gg
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170222_mart
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170222_staging
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170224
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170224_2
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170224_err
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170321_G_errSIMPB
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170321_mart
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170322_G_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170323_G_err
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170323_G_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170324_G_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170408_mart_6000
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170408_staging_full
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170409_staging_full_eff
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170409_STAGING_PR_MotorePrometeiaUnico
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170413_err
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170413_partial
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170414_dd_1week_wl
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170418_mart_partially
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170418_staging_1225cf
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170419_mart
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170421_mart_2cf
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170421_mart_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170421_staging_2cf
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170426_0gen
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170427_115wl
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170502_mart_26cf
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170515_gg
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170524_err
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170524_gg_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170601
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170608_gg_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170619_mart
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170620_0wl
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170630_2
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170630_gg_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170710_gg
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170715_trim_staging_12cf
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170716_mart_1mCf
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170825
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20170927
drop table if exists C6StampeCentralizzate.dbo.LOG_ESECUZIONE_20171013
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20171222
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20180601_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20180608_err
drop table if exists C6StampeCentralizzate.dbo.LOG_ESECUZIONE_20180831_OK
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20181004_ERR_daCanc
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20181005_NuovoGiornaliero_OK
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20181022_OK
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20181205
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20190122_err
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20190215_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20190218_OK
drop table if exists C6StampeCentralizzate.dbo.LOG_ESECUZIONE_20221013
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20231104_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_20231306_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_26012021_ok
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_periodico_20190125_Mart_OK
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione_periodico_err_20190112
drop table if exists C6StampeCentralizzate.dbo.log_esecuzione1205
drop table if exists C6StampeCentralizzate.dbo.log_secuzione_gg_161119
drop table if exists C6StampeCentralizzate.dbo.logN_20170519
drop table if exists C6StampeCentralizzate.dbo.logn_20170725
drop table if exists C6StampeCentralizzate.dbo.logN_20180124
drop table if exists C6StampeCentralizzate.dbo.LogN_20190116
drop table if exists C6StampeCentralizzate.dbo.logn_20230203
drop table if exists C6StampeCentralizzate.dbo.logN_gen_massiva_20170413
drop table if exists C6StampeCentralizzate.dbo.LOTTO2
drop table if exists C6StampeCentralizzate.dbo.maledetti2
drop table if exists C6StampeCentralizzate.dbo.MIFID_Scirocco2
drop table if exists C6StampeCentralizzate.dbo.NACongelato_20151104
drop table if exists C6StampeCentralizzate.dbo.NOK__6093
drop table if exists C6StampeCentralizzate.dbo.NOK_6093
drop table if exists C6StampeCentralizzate.dbo.PATR1
drop table if exists C6StampeCentralizzate.dbo.patrimonioterzi_20220524
drop table if exists C6StampeCentralizzate.dbo.patrTerzi_bckp_aprile2011
drop table if exists C6StampeCentralizzate.dbo.PDFTemplateConfiguration_20161207
drop table if exists C6StampeCentralizzate.dbo.PDFTemplateConfiguration_Rosaspina_20230531
drop table if exists C6StampeCentralizzate.dbo.pezzotto_2022
drop table if exists C6StampeCentralizzate.dbo.PosizioniPortafogliocong3001
drop table if exists C6StampeCentralizzate.dbo.PostalDataForReport_20161007
drop table if exists C6StampeCentralizzate.dbo.PostalDataForReport_20170116
drop table if exists C6StampeCentralizzate.dbo.PostalDataForReport_20170322
drop table if exists C6StampeCentralizzate.dbo.PostalDataForReport_20180112
drop table if exists C6StampeCentralizzate.dbo.PostalDataForReport_20190708
drop table if exists C6StampeCentralizzate.dbo.prconsul_bkp2610210
drop table if exists C6StampeCentralizzate.dbo.ProfiliDiRischio_20180604_PreMifid2
drop table if exists C6StampeCentralizzate.dbo.prova15022023
drop table if exists C6StampeCentralizzate.dbo.QC_20151104
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Capitolo_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Capitolo_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Capitolo_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Capitolo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Capitolo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Paragrafo_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Paragrafo_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Paragrafo_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Paragrafo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Paragrafo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Sezione_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Sezione_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Sezione_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Sezione_20180904
drop table if exists C6StampeCentralizzate.dbo.R6_SezioneR6Sezione_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6_Vincolo_SezioneFisica_20180904
drop table if exists C6StampeCentralizzate.dbo.R6_Vincolo_SezioneFisica_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6Capitolo_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6Capitolo_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6Capitolo_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6Capitolo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6Capitolo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6CapitoloR6Paragrafo_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6CapitoloR6Paragrafo_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6CapitoloR6Paragrafo_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6CapitoloR6Paragrafo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6CapitoloR6Paragrafo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6Cardinalita_VincoloApplicativo
drop table if exists C6StampeCentralizzate.dbo.R6Cardinalita_VincoloApplicativo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6Cardinalita_VincoloApplicativo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6CardinalitaVincolo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6CardinalitaVincolo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6Paragrafo_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6Paragrafo_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6Paragrafo_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6Paragrafo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6Paragrafo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione__
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20170322
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20170327_campione_ok
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20170623
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20171220
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20180904
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20190731
drop table if exists C6StampeCentralizzate.dbo.R6ParagrafoR6Sezione_20221228
drop table if exists C6StampeCentralizzate.dbo.R6Report_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6Report_20180904
drop table if exists C6StampeCentralizzate.dbo.R6Report_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6ReportR6Capitolo_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6ReportR6Capitolo_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6ReportR6Capitolo_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6ReportR6Capitolo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6ReportR6Capitolo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_20180328_PreMifid
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_20180904
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_Vincolo
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_Vincolo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6Sezione_Vincolo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.R6Vincolo_20180904
drop table if exists C6StampeCentralizzate.dbo.R6Vincolo_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.Ready4Lot_luca
drop table if exists C6StampeCentralizzate.dbo.RecuperoPdfIdx_2
drop table if exists C6StampeCentralizzate.dbo.RecuperoPdfSelecta_2
drop table if exists C6StampeCentralizzate.dbo.RenatoApportiNegativiAprile2013
drop table if exists C6StampeCentralizzate.dbo.REP_S80_EVOL_STAMPA_C6_BKP_TRIM_20220930
drop table if exists C6StampeCentralizzate.dbo.reportDainserire_recupero_20181023
drop table if exists C6StampeCentralizzate.dbo.ReportSezionePers_20171129_PreMR
drop table if exists C6StampeCentralizzate.dbo.ReportSezionePers_20180606_MIFID2
drop table if exists C6StampeCentralizzate.dbo.ReportSezionePers_20180904
drop table if exists C6StampeCentralizzate.dbo.ReportSezionePers_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.ReportSezionePers_bk_20130626
drop table if exists C6StampeCentralizzate.dbo.reporttab1
drop table if exists C6StampeCentralizzate.dbo.ReportTemplate_20161207
drop table if exists C6StampeCentralizzate.dbo.ReportTemplate_20230531
drop table if exists C6StampeCentralizzate.dbo.RFA_Scirocco2
drop table if exists C6StampeCentralizzate.dbo.roldiff2
drop table if exists C6StampeCentralizzate.dbo.S80_EVOL_STAMPA_C6_BCK
drop table if exists C6StampeCentralizzate.dbo.S80_EVOL_STAMPA_C6_BK_2010_10_11
drop table if exists C6StampeCentralizzate.dbo.ScaricoOperPerc_23112020
drop table if exists C6StampeCentralizzate.dbo.ScartiQuadratura_20170302
drop table if exists C6StampeCentralizzate.dbo.senzaprofilo118$
drop table if exists C6StampeCentralizzate.dbo.Sezione_20180904
drop table if exists C6StampeCentralizzate.dbo.Sezione_20180928_OLD
drop table if exists C6StampeCentralizzate.dbo.spbapp2
drop table if exists C6StampeCentralizzate.dbo.SSIS_Configurations_bk203
drop table if exists C6StampeCentralizzate.dbo.SSIS_Configurations_periodico_bk203
drop table if exists C6StampeCentralizzate.dbo.SubscribedCustomer_Bank_20170307
drop table if exists C6StampeCentralizzate.dbo.SubscribedCustomer_ComparedResults_20160606
drop table if exists C6StampeCentralizzate.dbo.SubscribedCustomer_ComparedResults_20160906
drop table if exists C6StampeCentralizzate.dbo.SubscribedCustomer_HP_20170307
drop table if exists C6StampeCentralizzate.dbo.sysdtslog90
drop table if exists C6StampeCentralizzate.dbo.TAB1
drop table if exists C6StampeCentralizzate.dbo.Table_1
drop table if exists C6StampeCentralizzate.dbo.tb_104_fc
drop table if exists C6StampeCentralizzate.dbo.TB_CAMPIONE_CASIMIFID_2110
drop table if exists C6StampeCentralizzate.dbo.tb_ReportDaRecuperare_20160307
drop table if exists C6StampeCentralizzate.dbo.TB_scartiClientiMonitorati_20160301
drop table if exists C6StampeCentralizzate.dbo.temp_c6mart_vcontratti
drop table if exists C6StampeCentralizzate.dbo.temp_mail_bck0913
drop table if exists C6StampeCentralizzate.dbo.tesi1
drop table if exists C6StampeCentralizzate.dbo.tesi2
drop table if exists C6StampeCentralizzate.dbo.TesiBloccatiAprile2013
drop table if exists C6StampeCentralizzate.dbo.TextTemplateConfigurationMapping_20161229
drop table if exists C6StampeCentralizzate.dbo.tmp_lista_finale122010
drop table if exists C6StampeCentralizzate.dbo.trimestrale_2011_luglio_cancellati2
drop table if exists C6StampeCentralizzate.dbo.trimestrale_dicembre_2011
drop table if exists C6StampeCentralizzate.dbo.VAR_CHECK_20140214
drop table if exists C6StampeCentralizzate.dbo.VAR_CHECK_20140214_2
drop table if exists C6StampeCentralizzate.dbo.VARdiscordantiAprile2013
drop table if exists C6StampeCentralizzate.dbo.vContrCong0913
drop table if exists C6StampeCentralizzate.dbo.W6APUT_AnaFirma
set @messaggio = 'TRUNCATE fino a dbo OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--dboPeriodico
drop table if exists C6StampeCentralizzate.dboPeriodico.R6ParagrafoR6Sezione_09062020
drop table if exists C6StampeCentralizzate.dboPeriodico.R6ParagrafoR6Sezione_20190204_PreMifidPPVV
drop table if exists C6StampeCentralizzate.dboPeriodico.R6ParagrafoR6Sezione_20190731
set @messaggio = 'TRUNCATE fino a dboPeriodico OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE test
drop table if exists C6StampeCentralizzate.test.PL_D_S170RischioDiversificazione
drop table if exists C6StampeCentralizzate.test.PL_D2_S151ProfiloDiRischio
drop table if exists C6StampeCentralizzate.test.PL_D2_S152Patrimonio
drop table if exists C6StampeCentralizzate.test.PL_D2_S153PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.test.PL_D2_S154PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.test.PL_D2_S155PatrimonioImmobiliare
drop table if exists C6StampeCentralizzate.test.PL_D2_S156ALtroPatrimonio
drop table if exists C6StampeCentralizzate.test.PL_D2_S157ConfrontoPiramidi
drop table if exists C6StampeCentralizzate.test.PL_D2_S158PiramideModello
drop table if exists C6StampeCentralizzate.test.PL_D2_S159PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.test.PL_D2_S160DettaglioProdottiBF
drop table if exists C6StampeCentralizzate.test.PL_D2_S162DettaglioProdotti
drop table if exists C6StampeCentralizzate.test.PL_D2_S163PatrimonioFinanziarioMAssetClass
drop table if exists C6StampeCentralizzate.test.PL_D2_S164PolizzeAltriIstituti
drop table if exists C6StampeCentralizzate.test.PL_D2_S165FondiAltriIstituti
drop table if exists C6StampeCentralizzate.test.PL_D2_S167DistribuzioneRischioCredito
drop table if exists C6StampeCentralizzate.test.PL_D2_S168TabellaEmittenti
drop table if exists C6StampeCentralizzate.test.PL_D2_S169RischiomercatoRischiocredito
drop table if exists C6StampeCentralizzate.test.PL_D2_S170RischioDiversificazione
drop table if exists C6StampeCentralizzate.test.PL_D2_S171PatrimonioNonRappresentabileAssettClass
drop table if exists C6StampeCentralizzate.test.PL_MP_S133AreeBisognoPrincProd
drop table if exists C6StampeCentralizzate.test.PL_MP_S133BISPrincipaliProdotti
drop table if exists C6StampeCentralizzate.test.PL_MP_S134BISMonitoraggioLiqInv
drop table if exists C6StampeCentralizzate.test.PL_MP_S134MonitoraggioLiquidita
drop table if exists C6StampeCentralizzate.test.PL_MP_S135MonitoraggioInvestimento
drop table if exists C6StampeCentralizzate.test.PL_MP_S137BISCapitaleProtetto
drop table if exists C6StampeCentralizzate.test.PL_MP_S137Bonus
drop table if exists C6StampeCentralizzate.test.PL_MP_S140AnalisiRisparmioCharts
drop table if exists C6StampeCentralizzate.test.PL_MP_S141AnalisiRisparmioTable
drop table if exists C6StampeCentralizzate.test.PL_MP_S146RischioDiversificazione
drop table if exists C6StampeCentralizzate.test.PL_S10PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.test.PL_S43BISDettaglioProdottiBF
drop table if exists C6StampeCentralizzate.test.PL_S43ContoCorrenteBF
drop table if exists C6StampeCentralizzate.test.PL_S43DettaglioProdottiBF
drop table if exists C6StampeCentralizzate.test.PL_S43LineaSelfBF
drop table if exists C6StampeCentralizzate.test.PL_S76AlternativaPatrimonioNonRappresentabileAssettClass
drop table if exists C6StampeCentralizzate.test.PL_S80Alternativa
drop table if exists C6StampeCentralizzate.test.PL_S82BisDatiSintetici
drop table if exists C6StampeCentralizzate.test.PL_S82DatiSintetici
drop table if exists C6StampeCentralizzate.test.PL_S85RendimentoPortafoglioCono
drop table if exists C6StampeCentralizzate.test.PL_S88PatrimonioNonConsideratoNelCalcoloDelRendimento
drop table if exists C6StampeCentralizzate.test.PL_S96RischiomercatoRischiocredito
set @messaggio = 'TRUNCATE fino a test OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
COMMIT TRANSACTION;
BEGIN TRANSACTION;
--TRUNCATE wh
drop table if exists C6StampeCentralizzate.wh.Maledetti_20160710
drop table if exists C6StampeCentralizzate.wh.Maledetti_20160721
drop table if exists C6StampeCentralizzate.wh.Maledetti_20160727
drop table if exists C6StampeCentralizzate.wh.Maledetti_20170209
drop table if exists C6StampeCentralizzate.wh.Maledetti_20170715_T2_L1
drop table if exists C6StampeCentralizzate.wh.Maledetti_20171019
drop table if exists C6StampeCentralizzate.wh.Maledetti_20171110
drop table if exists C6StampeCentralizzate.wh.MERGED_PROCEDURE_LIST_20170209
drop table if exists C6StampeCentralizzate.wh.PL_D_S170RischioDiversificazione
drop table if exists C6StampeCentralizzate.wh.PL_D_S178IndicatoriEsitoAdeguatezza
drop table if exists C6StampeCentralizzate.wh.PL_D2_S151ProfiloDiRischio
drop table if exists C6StampeCentralizzate.wh.PL_D2_S152Patrimonio
drop table if exists C6StampeCentralizzate.wh.PL_D2_S153PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.wh.PL_D2_S154PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.wh.PL_D2_S155PatrimonioImmobiliare
drop table if exists C6StampeCentralizzate.wh.PL_D2_S155PatrimonioImmobiliare_20160713
drop table if exists C6StampeCentralizzate.wh.PL_D2_S156ALtroPatrimonio
drop table if exists C6StampeCentralizzate.wh.PL_D2_S157ConfrontoPiramidi
drop table if exists C6StampeCentralizzate.wh.PL_D2_S158PiramideModello
drop table if exists C6StampeCentralizzate.wh.PL_D2_S159PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.wh.PL_D2_S160DettaglioProdottiBF
drop table if exists C6StampeCentralizzate.wh.PL_D2_S162DettaglioProdotti
drop table if exists C6StampeCentralizzate.wh.PL_D2_S163PatrimonioFinanziarioMAssetClass
drop table if exists C6StampeCentralizzate.wh.PL_D2_S164PolizzeAltriIstituti
drop table if exists C6StampeCentralizzate.wh.PL_D2_S165FondiAltriIstituti
drop table if exists C6StampeCentralizzate.wh.PL_D2_S165FondiAltriIstituti_20160714
drop table if exists C6StampeCentralizzate.wh.PL_D2_S167DistribuzioneRischioCredito
drop table if exists C6StampeCentralizzate.wh.PL_D2_S168TabellaEmittenti
drop table if exists C6StampeCentralizzate.wh.PL_D2_S169RischiomercatoRischiocredito
drop table if exists C6StampeCentralizzate.wh.PL_D2_S169RischiomercatoRischiocredito_Orig
drop table if exists C6StampeCentralizzate.wh.PL_D2_S170RischioDiversificazione
drop table if exists C6StampeCentralizzate.wh.PL_D2_S171PatrimonioNonRappresentabileAssettClass
drop table if exists C6StampeCentralizzate.wh.PL_D3_S151ProfiloDiRischio
drop table if exists C6StampeCentralizzate.wh.PL_MP_S133AreeBisognoPrincProd
drop table if exists C6StampeCentralizzate.wh.PL_MP_S133BISPrincipaliProdotti
drop table if exists C6StampeCentralizzate.wh.PL_MP_S134BISMonitoraggioLiqInv
drop table if exists C6StampeCentralizzate.wh.PL_MP_S134MonitoraggioLiquidita
drop table if exists C6StampeCentralizzate.wh.PL_MP_S135MonitoraggioInvestimento
drop table if exists C6StampeCentralizzate.wh.PL_MP_S137BISCapitaleProtetto
drop table if exists C6StampeCentralizzate.wh.PL_MP_S137Bonus
drop table if exists C6StampeCentralizzate.wh.PL_MP_S140AnalisiRisparmioCharts
drop table if exists C6StampeCentralizzate.wh.PL_MP_S141AnalisiRisparmioTable
drop table if exists C6StampeCentralizzate.wh.PL_MP_S146RischioDiversificazione
drop table if exists C6StampeCentralizzate.wh.PL_S10PatrimonioFinanziario
drop table if exists C6StampeCentralizzate.wh.PL_S43BISDettaglioProdottiBF
drop table if exists C6StampeCentralizzate.wh.PL_S43ContoCorrenteBF
drop table if exists C6StampeCentralizzate.wh.PL_S43DettaglioProdottiBF
drop table if exists C6StampeCentralizzate.wh.PL_S43LineaSelfBF
drop table if exists C6StampeCentralizzate.wh.PL_S76AlternativaPatrimonioNonRappresentabileAssettClass
drop table if exists C6StampeCentralizzate.wh.PL_S80Alternativa
drop table if exists C6StampeCentralizzate.wh.PL_S82BisDatiSintetici
drop table if exists C6StampeCentralizzate.wh.PL_S82DatiSintetici
drop table if exists C6StampeCentralizzate.wh.PL_S85RendimentoPortafoglioCono
drop table if exists C6StampeCentralizzate.wh.[PL_S85RendimentoPortafoglioCono.20171025.test]
drop table if exists C6StampeCentralizzate.wh.PL_S85RendimentoPortafoglioCono_20171019
drop table if exists C6StampeCentralizzate.wh.PL_S85RendimentoPortafoglioCono_20171019_2
drop table if exists C6StampeCentralizzate.wh.PL_S85RendimentoPortafoglioCono_20171030
drop table if exists C6StampeCentralizzate.wh.PL_S85RendimentoPortafoglioCono_20171110
drop table if exists C6StampeCentralizzate.wh.PL_S85RendimentoPortafoglioCono_20180716
drop table if exists C6StampeCentralizzate.wh.PL_S88PatrimonioNonConsideratoNelCalcoloDelRendimento
drop table if exists C6StampeCentralizzate.wh.PL_S96RischiomercatoRischiocredito
 -- integrazione drop 2024
 --drop table if exists
drop table if exists C6StampeCentralizzate.C6Mart.anag_self_bkp
drop table if exists C6StampeCentralizzate.C6Mart.Contratti_Da_Escludere_bkp
drop table if exists C6StampeCentralizzate.C6Mart.vContrattiC6_BKP_20240412
drop table if exists C6StampeCentralizzate.C6Mart.gestione_PDF_ftp_20231201
drop table if exists C6StampeCentralizzate.C6Mart.W6DAILY_20240412
drop table if exists C6StampeCentralizzate.C6MartPeriodico.anag_self_bkp
drop table if exists C6StampeCentralizzate.C6MartPeriodico.capprot_bkp
drop table if exists C6StampeCentralizzate.C6MartPeriodico.clienti_brochure_bkp_20240507
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_bkp_20240508
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240212_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240214_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240228_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240424_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240508_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240509_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.controllo_trimestrale_20240510_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240212_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240214_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240228_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240424_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240508_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240509_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.cruscotto_contrattisei_20240510_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20240126
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20240205
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20240412
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20240424
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_20240722
drop table if exists C6StampeCentralizzate.C6MartPeriodico.ExcludedList_Lotto1_Definitivo_20231231
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240206_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240212_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240214_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240228_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240424_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240429_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240508_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240509_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.gestione_pdf_ftp_20240510_preZip
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20230301_01
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20231201
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tabellone_20240301
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20240122
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20240225
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20240319
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_20240417
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_campione_bk20231215
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_campione_da_20240619
drop table if exists C6StampeCentralizzate.C6MartPeriodico.TB_Campione_Eff202404
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_segnalazionidataquality_20231212
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231215_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20231221_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240119_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240123_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240124_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240125_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240201_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240209_165505_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240209_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240214_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240217_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240225_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240318_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240416_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240419_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240507_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240509_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240510_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240513_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240521_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240618_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_SegnalazioniDataQuality_20240718_preBonifica
drop table if exists C6StampeCentralizzate.C6MartPeriodico.tb_segnalazionidataquality_bk20240318
drop table if exists C6StampeCentralizzate.C6MartPeriodico.vTabellone_20240212
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20230130
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_2024011
drop table if exists C6StampeCentralizzate.C6MartPeriodico.w6clirep_20240115
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_20240123_preTermID
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_20240124
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20231221
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20240202
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20240206
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20240227
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20240227_101831
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20240228
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20240228_102307
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6clirep_b_20240502
drop table if exists C6StampeCentralizzate.C6MartPeriodico.W6CLIREP_BK20240315
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_BKP_20230214
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20231204
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.appo_contratti_20240307
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_20240401
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.APPO_CONTRATTI_Limiter_Lotto2_20231231
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20231212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240108
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240108_122709
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240109
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240109_122051
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240109_125631
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_115725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_115858
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_120005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_120159
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_123615
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_133521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_134305
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_141339
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_142242
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240115_145516
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240117
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240117_095233
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240124
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240124_152248
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240124_154018
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240124_154131
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240124_161526
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240124_173000
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240127
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240127_130027
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240130
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240213
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240216
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240223
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240223_171138
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240314
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_095043
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_114432
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_160443
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_162330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_162705
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_163024
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_164202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240315_164517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240412
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240412_123944
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240412_142310
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240415
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240419
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240419_095043
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240506
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240506_145527
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240509
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240510
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.BRS_AGGR_OUT_ALADDIN_20240717
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ContrattiPreTrimestrale_20231204
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20231212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240108
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240108_122711
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240109
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240109_122051
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240109_125632
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_115726
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_115858
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_120005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_120159
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_123615
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_133521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_134306
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_141339
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_142243
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240115_145516
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240117
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240117_095234
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240124
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240124_152248
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240124_154018
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240124_154131
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240124_161526
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240124_173000
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240127
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240127_130027
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240130
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240213
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240216
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240223
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240223_171138
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240314
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_095043
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_114433
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_160443
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_162330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_162705
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_163024
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_164202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240315_164517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240412
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240412_123944
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240412_142310
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240415
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240419
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240506
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240506_145527
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240509
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240510
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.ESG_Metriche_Cliente_IL_20240717
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231211_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231214_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20231221_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240116_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240118_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240119_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240126_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240201_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240208_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240209_162706_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240212_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240214_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240216_213027_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240222_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240223_113327_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240223_172034_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240223_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240314_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240318_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240411_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240416_155940_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240416_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240419_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240507_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240509_173206_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240509_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240510_103927_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240510_155202_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240510_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240513_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240521_154218_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240521_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240613_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240617_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240716_182318_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240716_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240717_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TANAB_20240718_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TCPTAB_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRENAB_20240116
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRENAB_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20231212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240108
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240108_122709
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240109
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240109_122051
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240109_125631
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_115725
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_115858
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_120005
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_120159
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_123615
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_133521
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_134305
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_141339
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_142242
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240115_145516
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240117
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240117_095233
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240124
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240124_152248
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240124_154018
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240124_154131
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240124_161526
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240124_173000
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240127
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240127_130027
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240130
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240209
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240212
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240213
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240216
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240223
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240223_171138
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240314
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_095042
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_114431
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_160443
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_162330
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_162705
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_163024
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_164202
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240315_164517
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240412
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240412_123944
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240412_142310
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240415
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240417
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240419
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240506
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240506_145527
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240509
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240510
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240512
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240614
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TRIMESTRALE_SCARTI_20240717
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.TSCABP_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.W6APUT_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WANVIPS_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAD_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAD2_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231211_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231214_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20231221_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240116_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240118_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240119_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240126_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240201_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240208_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240209_162706_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240209_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240212_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240213_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240214_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240216_213029_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240216_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240222_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240223_113327_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240223_172034_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240223_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240314_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240318_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240411_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240416_155941_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240416_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240419_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240506_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240507_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240509_173207_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240509_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240510_103927_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240510_155202_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240510_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240513_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240521_154218_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240521_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240613_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240617_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240716_182318_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240716_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240717_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIAN2_20240718_preUpdate
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIBO_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEICAP_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEICC_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEICE_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEICE2_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.wseics_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIFP_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIGP_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEILP_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIPR_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIPV_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEISC_20240222
drop table if exists C6StampeCentralizzate.C6StagingPeriodico.WSEIUL_20240222
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20240319
drop table if exists C6StampeCentralizzate.dbo.appoCampioneReport_20240417
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20240319
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20240417
drop table if exists C6StampeCentralizzate.dbo.Incl_SpecCdT_Campione_20240619
drop table if exists C6StampeCentralizzate.dbo.ltmp_stampate_al_07_05_2024
drop table if exists C6StampeCentralizzate.dbo.pdf_stampate_al_07_05_2024
drop table if exists C6StampeCentralizzate.dbo.Pezzotto2023
drop table if exists C6StampeCentralizzate.dbo.Pezzotto2023_1
set @messaggio = 'TRUNCATE fino a wh OK'
insert into C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH 
select ISNULL(max(id)+1,0) as id ,
@messaggio as messaggio,
GETDATE() as data,
'OK' as stato
from C6StampeCentralizzate.dbo.GDPRMASK_LOGBATCH
  COMMIT TRANSACTION;
  END TRY
  BEGIN CATCH
  select  @messaggio
    set @messaggio = ERROR_MESSAGE()
	select  @messaggio
    ROLLBACK TRANSACTION;
  END CATCH
  select  @messaggio
END